#include "led.h"
#include <stdint.h>
#include <avr/io.h>

void led_init(void)
{
    // set pins as output
    DDRD |= 1 << DDD4 | 1 << DDD3 | 1 << DDD2;
}


void led_chargingOff(void)
{
    PORTD &= ~(1 << DDD2);
}


void led_chargingOn(void)
{
    PORTD |= 1 << DDD2;
}


void led_voltageOff(void)
{
    PORTD &= ~(1 << DDD4 | 1 << DDD3);
}


void led_voltageRed(void)
{
    PORTD &= ~(1 << DDD4);
    PORTD |= 1 << DDD3;
}


void led_voltageYellow(void)
{
    PORTD |= 1 << DDD4 | 1 << DDD3;
}


void led_voltageGreen(void)
{
    PORTD &= ~(1 << DDD3);
    PORTD |= 1 << DDD4;
}

