#include "inout.h"
#include <avr/io.h>

void inout_init(void)
{
    // set pins as output
    DDRB |= 1 << DDB1; // short solar panel
    DDRC |= 1 << DDC5; // connect load
}


void inout_connectPanel(void)
{
    PORTB &= ~(1 << DDB1);
}


void inout_disconnectPanel(void)
{
    PORTB |= 1 << DDB1;
}


void inout_connectLoad(void)
{
    PORTC |= 1 << DDC5;
}


void inout_disconnectLoad(void)
{

    PORTC &= ~(1 << DDC5);
}

